﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:local="clr-namespace:HiVE.BasicModels.UI.Helpers.ResourceDictionaries"
                    xmlns:converters="clr-namespace:HiVE.BasicModels.Utility.Converters">

    <Style TargetType="{x:Type DataGrid}">
        <Setter Property="Margin" Value="7,10"/>
        <Setter Property="MaxWidth" Value="1000"/>
        <Setter Property="MinHeight" Value="260"/>
        <Setter Property="MaxHeight" Value="640"/>
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="BorderBrush" Value="Black"/>
        <Setter Property="AutoGenerateColumns" Value="False"/>

        <Setter Property="IsReadOnly" Value="True"/>
        <Setter Property="CanUserAddRows" Value="False"/>
        <Setter Property="CanUserDeleteRows" Value="False"/>
        <Setter Property="CanUserReorderColumns" Value="True"/>
        <Setter Property="CanUserSortColumns" Value="True"/>

        <Setter Property="SelectionMode" Value="Single"/>
        <Setter Property="IsSynchronizedWithCurrentItem" Value="True"/>

        <!--<Setter Property="MaxHeight" Value="560"/>-->
        <!--<Setter Property="ItemContainerStyle" Value="{StaticResource DataViewItemStyle}"/>-->
    </Style>

    <Style x:Key="BasicUI.DataGridStyle.AlreadyDefined" TargetType="{x:Type DataGrid}">
        <Setter Property="Margin" Value="7,10"/>
        <Setter Property="MaxWidth" Value="1000"/>
        <Setter Property="MinHeight" Value="260"/>
        <Setter Property="MaxHeight" Value="640"/>
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="BorderBrush" Value="Black"/>
        <Setter Property="AutoGenerateColumns" Value="False"/>

        <Setter Property="IsReadOnly" Value="True"/>
        <Setter Property="CanUserAddRows" Value="False"/>
        <Setter Property="CanUserDeleteRows" Value="False"/>
        <Setter Property="CanUserReorderColumns" Value="True"/>
        <Setter Property="CanUserSortColumns" Value="True"/>

        <Setter Property="SelectionMode" Value="Single"/>
        <Setter Property="IsSynchronizedWithCurrentItem" Value="True"/>

        <!--<Setter Property="MaxHeight" Value="560"/>-->
        <!--<Setter Property="ItemContainerStyle" Value="{StaticResource DataViewItemStyle}"/>-->
    </Style>

    <Style TargetType="{x:Type DataGridColumnHeader}">
        <!--<Setter Property="Background" Value="Tan"/>-->
        <Setter Property="HorizontalContentAlignment" Value="Center"/>
        <Setter Property="VerticalContentAlignment" Value="Center"/>
    </Style>

    <Style x:Key="BasicUI.DataGridColumnHeaderStyle" TargetType="{x:Type DataGridColumnHeader}">
        <!--<Setter Property="Background" Value="Tan"/>-->
        <Setter Property="HorizontalContentAlignment" Value="Center"/>
        <Setter Property="VerticalContentAlignment" Value="Center"/>
    </Style>

    <Style TargetType="{x:Type DataGridCell}">
        <Setter Property="TextBlock.TextAlignment" Value="Center"/>
        <Setter Property="TextBlock.HorizontalAlignment" Value="Stretch"/>
        <Setter Property="TextBlock.VerticalAlignment" Value="Stretch"/>
        <Setter Property="BorderThickness" Value="0"/>
        <Setter Property="BorderBrush" Value="Black"/>
        <!--<Setter Property="HorizontalContentAlignment" Value="Center"/>
        <Setter Property="VerticalContentAlignment" Value="Center"/>-->
    </Style>

    <Style x:Key="BasicUI.DataGridRowStyle" TargetType="{x:Type DataGridRow}">
        <Setter Property="Background">
            <Setter.Value>
                <Binding RelativeSource="{RelativeSource Self}">
                    <Binding.Converter>
                        <converters:Converter_DataGridRowBackgroundToBrushes />
                    </Binding.Converter>
                </Binding>
            </Setter.Value>
        </Setter>
    </Style>

    <DataTemplate x:Key="BasicUI.DataViewHeaderTemplate">
        <DockPanel>
            <TextBlock FontSize="12" FontWeight="Bold">
                <TextBlock.Text>
                    <Binding/>
                </TextBlock.Text>
            </TextBlock>
        </DockPanel>
    </DataTemplate>

</ResourceDictionary>